local drawableSprite = require("structs.drawable_sprite")

local platform = {}
platform.name = "EvaHelper/DancePlatform"
platform.depth = 0
platform.placements = {
    {
        name = "Dance Platform",
        data = {
			width = 64,
			height = 16
        }
    }
}

function platform.draw(room, entity)
    local r, g, b, a = love.graphics.getColor()
    
	love.graphics.setColor(1.0, 0.0, 0.0, 0.4)
    love.graphics.rectangle("fill", entity.x + 0.5, entity.y + 0.5, entity.width - 1, entity.height - 1)
	love.graphics.setColor(1.0, 1.0, 1.0, 1.0)
    love.graphics.rectangle("line", entity.x + 0.5, entity.y + 0.5, entity.width - 1, entity.height - 1)
	
    -- reset color
    love.graphics.setColor(r, g, b, a)
end

return platform
